Subject: Re: sending IP pkgs form user space on a specific interface?

From: Ben Greear <[email-masked]>
Date: Thu, 03 Feb 2011 14:41:07 -0800

On 02/03/2011 02:14 PM, Joakim Tjernlund wrote:
> Ben Greear<[email-masked]>  wrote on 2011/02/03 23:03:53:
>> From: Ben Greear<[email-masked]>
>> To: Joakim Tjernlund<[email-masked]>
>> Cc: [email-masked]
>> Date: 2011/02/03 23:03
>> Subject: Re: sending IP pkgs form user space on a specific interface?
>>
>> On 02/03/2011 01:55 PM, Joakim Tjernlund wrote:
>>>
>>> Is there a way to specify what I/F a IP pkg should be sent
>>> out on?
>>>
>>> I have multiple ppp I/Fs with the same local and remote address
>>> and I need to specify what interface to send OSPF protocol
>>> messages to.
>>
>> Check out SO_BINDTODEVICE.
>
> Thanks, can do setsockopt(s, SOL_SOCKET, SO_BINDTODEVICE, ..) for
> each I/Fs I need tx pkgs over?
> How do I unbind to any I/F?
>
> If possible, I would like to specify the I/F in the pkg overhead.

Man-pages and google should find those answers.
You could put my name in your search as well, if you want..I know I've
posted sample code in the past to some mailing list or another.

Thanks,
Ben

>
>     Jocke
>
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com